com.icesoft.faces.renderkit.dom_html_basic

## Class DomBasicInputRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - com.icesoft.faces.renderkit.dom_html_basic.DomBasicRenderer
    - - com.icesoft.faces.renderkit.dom_html_basic.DomBasicInputRenderer

-     public abstract class DomBasicInputRenderer
      extends DomBasicRenderer

- - ### Field Summary

    - ### Fields inherited from class com.icesoft.faces.renderkit.dom_html_basic.DomBasicRenderer

      `ATTRIBUTES_THAT_ARE_SET_KEY, ICESUBMIT, ICESUBMITPARTIAL, UIFORM, WEB_UIFORM, WEB_UIJSFFORM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomBasicInputRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.Object submittedValue)` Return the converted submittedValue.
    `void` | `setSubmittedValue(javax.faces.component.UIComponent uiComponent, java.lang.Object submittedValue)` Set the submittedValue parameter to the UIComponent instance if and only if the UIComponent is a subclass of UIInput

    - ### Methods inherited from class com.icesoft.faces.renderkit.dom_html_basic.DomBasicRenderer

      `combinedPassThru, convertClientId, converterGetAsString, decode, encodeEnd, encodeParentAndChildren, findForComponent, findForm, findNamingContainer, formatComponentValue, getColumnStyleClasses, getExcludesArray, getFacetByName, getParameterMap, getResourceURL, getRowStyleClasses, getStyleClasses, getValue, isStatic, renderAttribute, renderEnd, setRootElementId, validateParameters`

    - ### Methods inherited from class javax.faces.render.Renderer

      `encodeBegin, encodeChildren, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DomBasicInputRenderer

          public DomBasicInputRenderer()

  - ### Method Detail

    - #### setSubmittedValue

          public void setSubmittedValue(javax.faces.component.UIComponent uiComponent,
                                        java.lang.Object submittedValue)

      Set the submittedValue parameter to the UIComponent instance if and only if the UIComponent is a subclass of UIInput
      Overrides:
        `setSubmittedValue` in class `DomBasicRenderer`

    - #### getConvertedValue

          public java.lang.Object getConvertedValue(javax.faces.context.FacesContext facesContext,
                                                    javax.faces.component.UIComponent uiComponent,
                                                    java.lang.Object submittedValue)
                                             throws javax.faces.convert.ConverterException

      Return the converted submittedValue. If a converter is registered with the component then use that converter. Otherwise get the default converter corresponding to the type of the value binding. If no converter is found then return the submittedValue unchanged.
      Overrides:
        `getConvertedValue` in class `javax.faces.render.Renderer`
      Parameters:
        `facesContext` - the current FacesContext
        `uiComponent` - the uiComponent whose value will be converted.
        `submittedValue` - the submittedValue to be submitted
      Throws:
        `javax.faces.convert.ConverterException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.